import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { IgxDataChartCoreModule, IgxDataChartCategoryModule, IgxDataChartCategoryCoreModule, IgxLegendModule,
         IgxCalloutLayerModule, IgxDataChartStackedModule, IgxDataChartAnnotationModule, IgxDataChartInteractivityModule }
  from 'igniteui-angular-charts';
import { ChartPageComponent } from './chart-page/chart-page.component';

@NgModule({
  declarations: [
    AppComponent,
    ChartPageComponent
  ],
  imports: [
    BrowserModule,
    IgxDataChartCoreModule,
    IgxDataChartCategoryModule,
    IgxDataChartCategoryCoreModule,
    IgxDataChartInteractivityModule,
    IgxLegendModule,
    IgxCalloutLayerModule,
    IgxDataChartAnnotationModule,
    IgxDataChartStackedModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
